/*
 * ExNihilo 3D Engine
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Please read AUTHORS file !!!
 * 
 * $Id: ExManagerSpirit.cpp,v 1.9 2002/12/03 22:40:03 data Exp $
 *
 */

#include "ExManagerSpirit.h"

bool ExManagerSpirit::m_flag = false; 
ExManagerSpirit* ExManagerSpirit::m_instance = NULL; 

ExManagerSpirit* ExManagerSpirit::CreateSingleton(void){
Guard(ExManagerSpirit* ExManagerSpirit::CreateSingleton(void))
	if(!m_flag)
	{
		m_flag = true; // We are creating the error log now, so set flag to true
		m_instance = new ExManagerSpirit; // Create the error log
	}else
	{
		std::cout<<"Error singleton already created"<<std::endl;
	}
	return m_instance; 
UnGuard
}

ExManagerSpirit::ExManagerSpirit(void)
{
}

ExManagerSpirit::~ExManagerSpirit(void)
{
}

void ExManagerSpirit::Reset(void)
{
	ExManagerObject<ExCSpirit>::Reset();
}

void ExManagerSpirit::Init(void)
{
	ExManagerObject<ExCSpirit>::Init();
	ExCSpirit Spirit;
	Spirit.SetName("SpiritTest");
	Add(Spirit);
}

void ExManagerSpirit::Draw(void)
{
	
}

